diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/test/ping-test.cc ns-3.44/src/internet-apps/test/ping-test.cc
--- ns-3.43/src/internet-apps/test/ping-test.cc	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet-apps/test/ping-test.cc	2025-03-09 16:55:49.379371200 -0700
@@ -64,41 +64,41 @@
 constexpr bool USEIPV6_TRUE = true;
 
 /**
- * \ingroup ping
- * \defgroup ping-test ping tests
+ * @ingroup ping
+ * @defgroup ping-test ping tests
  */
 
 /**
- * \ingroup ping-test
- * \ingroup tests
+ * @ingroup ping-test
+ * @ingroup tests
  *
- * \brief ping basic tests
+ * @brief ping basic tests
  */
 class PingTestCase : public TestCase
 {
   public:
     /**
      * Constructor.
-     * \param name TestCase name.
-     * \param useIpv6 Use IPv6.
+     * @param name TestCase name.
+     * @param useIpv6 Use IPv6.
      */
     PingTestCase(std::string name, bool useIpv6);
 
     /**
      * Set the Simulation stop time.
-     * \param stopTime The simulation stop time.
+     * @param stopTime The simulation stop time.
      */
     void SetSimulatorStopTime(Time stopTime);
 
     /**
      * Set the destination address (either IPv4 or IPv6).
-     * \param address The destination address.
+     * @param address The destination address.
      */
     void SetDestinationAddress(Address address);
 
     /**
      * Set the PING start time.
-     * \param startTime Ping start time.
+     * @param startTime Ping start time.
      */
     void SetStartTime(Time startTime)
     {
@@ -107,7 +107,7 @@
 
     /**
      * Set the PING stop time.
-     * \param stopTime Ping stop time.
+     * @param stopTime Ping stop time.
      */
     void SetStopTime(Time stopTime)
     {
@@ -116,7 +116,7 @@
 
     /**
      * Set the number of pings to send.
-     * \param count Number of pings to send.
+     * @param count Number of pings to send.
      */
     void SetCount(uint32_t count)
     {
@@ -125,7 +125,7 @@
 
     /**
      * Set the size of pings.
-     * \param size Size of pings.
+     * @param size Size of pings.
      */
     void SetSize(uint32_t size)
     {
@@ -134,7 +134,7 @@
 
     /**
      * Set the interval of pings.
-     * \param interval Interval of pings.
+     * @param interval Interval of pings.
      */
     void SetInterval(Time interval)
     {
@@ -143,7 +143,7 @@
 
     /**
      * Set the packet drop list on the Ping node's interface
-     * \param dropList packet drop list
+     * @param dropList packet drop list
      */
     void SetDropList(const std::list<uint32_t>& dropList)
     {
@@ -152,37 +152,37 @@
 
     /**
      * Enable the check on Tx pings counted in Tx trace source.
-     * \param expectedTx Expected Tx.
+     * @param expectedTx Expected Tx.
      */
     void CheckTraceTx(uint32_t expectedTx);
 
     /**
      * Enable the check on Rtt event count in Rtt trace source.
-     * \param expectedRtt Expected Rtt.
+     * @param expectedRtt Expected Rtt.
      */
     void CheckTraceRtt(uint32_t expectedRtt);
 
     /**
      * Enable the check on Tx pings.
-     * \param expectedReportTx Expected Tx.
+     * @param expectedReportTx Expected Tx.
      */
     void CheckReportTransmitted(uint32_t expectedReportTx);
 
     /**
      * Enable the check on Rx pings.
-     * \param expectedReportRx Expected Rx.
+     * @param expectedReportRx Expected Rx.
      */
     void CheckReportReceived(uint32_t expectedReportRx);
 
     /**
      * Enable the check on Lost pings.
-     * \param expectedReportLoss Expected Lost.
+     * @param expectedReportLoss Expected Lost.
      */
     void CheckReportLoss(uint16_t expectedReportLoss);
 
     /**
      * Enable the check on average RTT.
-     * \param expectedTime Expected RTT.
+     * @param expectedTime Expected RTT.
      */
     void CheckReportTime(Time expectedTime);
 
@@ -193,28 +193,28 @@
 
     /**
      * Trace TX events.
-     * \param seq Sequence number.
-     * \param p Tx packet.
+     * @param seq Sequence number.
+     * @param p Tx packet.
      */
     void TxTraceSink(uint16_t seq, Ptr<Packet> p);
 
     /**
      * Trace RTT events.
-     * \param seq Sequence number.
-     * \param rttSample RTT sample.
+     * @param seq Sequence number.
+     * @param rttSample RTT sample.
      */
     void RttTraceSink(uint16_t seq, Time rttSample);
 
     /**
      * Trace Drop events.
-     * \param seq Sequence number.
-     * \param reason Drop reason.
+     * @param seq Sequence number.
+     * @param reason Drop reason.
      */
     void DropTraceSink(uint16_t seq, Ping::DropReason reason);
 
     /**
      * Trace Report generation events.
-     * \param report The report sample.
+     * @param report The report sample.
      */
     void ReportTraceSink(const Ping::PingReport& report);
 
@@ -242,13 +242,13 @@
     bool m_checkReportLoss{false};        //!< Set to true to check the Loss number
     bool m_checkReportTime{false};        //!< Set to true to check the Time
 
-    Time m_startTime{Seconds(1)};             //!< Start time
-    Time m_stopTime{Seconds(5)};              //!< Stop time
-    Time m_simulatorStopTime{Seconds(6)};     //!< Simulator stop time
-    bool m_useIpv6{false};                    //!< Use IPv6 (true) or IPv4 (false)
-    Time m_interpacketInterval{Seconds(1.0)}; //!< Time between pings
-    Time m_lastTx;                            //!< Last ping Tx time
-    std::list<uint32_t> m_dropList;           //!< Drop first reply (true)
+    Time m_startTime{Seconds(1)};           //!< Start time
+    Time m_stopTime{Seconds(5)};            //!< Stop time
+    Time m_simulatorStopTime{Seconds(6)};   //!< Simulator stop time
+    bool m_useIpv6{false};                  //!< Use IPv6 (true) or IPv4 (false)
+    Time m_interpacketInterval{Seconds(1)}; //!< Time between pings
+    Time m_lastTx;                          //!< Last ping Tx time
+    std::list<uint32_t> m_dropList;         //!< Drop first reply (true)
 
     NodeContainer m_nodes;                   //!< The simulation nodes
     Ipv4InterfaceContainer m_ipv4Interfaces; //!< The IPv4 interfaces
@@ -381,7 +381,7 @@
 {
     NS_LOG_FUNCTION(this << seq << p);
     m_countTraceTx++;
-    if (m_lastTx == Seconds(0))
+    if (m_lastTx.IsZero())
     {
         m_lastTx = Simulator::Now();
     }
@@ -544,10 +544,10 @@
 }
 
 /**
- * \ingroup ping-test
- * \ingroup tests
+ * @ingroup ping-test
+ * @ingroup tests
  *
- * \brief ping TestSuite
+ * @brief ping TestSuite
  */
 class PingTestSuite : public TestSuite
 {
@@ -671,7 +671,7 @@
     //                     The number sent (2) is equal to number received (2)
     // How validated:  PingReport trace is checked for number of packets
     //                 transmitted (2) and received (2), and number of drops (0)
-    Time interval = Seconds(3.0);
+    Time interval = Seconds(3);
     auto testcase4v4 =
         new PingTestCase("4. Test for the operation of interval attribute for IPv4", USEIPV6_FALSE);
     testcase4v4->SetStartTime(Seconds(1));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-active-scan.cc ns-3.44/src/lr-wpan/examples/lr-wpan-active-scan.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-active-scan.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-active-scan.cc	2025-03-09 16:55:49.419371100 -0700
@@ -28,15 +28,15 @@
  * Typically, a value below 127 is considered a link with poor quality.
  */
 
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iostream>
 
@@ -144,7 +144,7 @@
     params.m_sfrmOrd = 15;
     params.m_logCh = 12;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    coord1NetDevice->GetMac(),
                                    params);
@@ -158,7 +158,7 @@
     params2.m_sfrmOrd = 15;
     params2.m_logCh = 14;
     Simulator::ScheduleWithContext(2,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    coord2NetDevice->GetMac(),
                                    params2);
@@ -175,7 +175,7 @@
     scanParams.m_scanDuration = 14;
     scanParams.m_scanType = MLMESCAN_ACTIVE;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(3.0),
+                                   Seconds(3),
                                    &LrWpanMac::MlmeScanRequest,
                                    endNodeNetDevice->GetMac(),
                                    scanParams);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-bootstrap.cc ns-3.44/src/lr-wpan/examples/lr-wpan-bootstrap.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-bootstrap.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-bootstrap.cc	2025-03-09 16:55:49.419371100 -0700
@@ -27,13 +27,13 @@
  * complete.
  */
 
-#include <ns3/core-module.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/mobility-module.h>
-#include <ns3/netanim-module.h>
-#include <ns3/network-module.h>
-#include <ns3/propagation-module.h>
-#include <ns3/spectrum-module.h>
+#include "ns3/core-module.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/netanim-module.h"
+#include "ns3/network-module.h"
+#include "ns3/propagation-module.h"
+#include "ns3/spectrum-module.h"
 
 #include <iostream>
 
@@ -442,7 +442,7 @@
     params.m_logCh = 12;
 
     Simulator::ScheduleWithContext(coor1Device->GetNode()->GetId(),
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    coor1Device->GetMac(),
                                    params);
@@ -456,7 +456,7 @@
     params2.m_logCh = 14;
 
     Simulator::ScheduleWithContext(coor2Device->GetNode()->GetId(),
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    coor2Device->GetMac(),
                                    params2);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-data.cc ns-3.44/src/lr-wpan/examples/lr-wpan-data.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-data.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-data.cc	2025-03-09 16:55:49.419371100 -0700
@@ -13,15 +13,15 @@
  * Trace Phy state changes, and Mac DataIndication and DataConfirm events
  * to stdout
  */
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iostream>
 
@@ -30,8 +30,8 @@
 
 /**
  * Function called when a Data indication is invoked
- * \param params MCPS data indication parameters
- * \param p packet
+ * @param params MCPS data indication parameters
+ * @param p packet
  */
 static void
 DataIndication(McpsDataIndicationParams params, Ptr<Packet> p)
@@ -41,7 +41,7 @@
 
 /**
  * Function called when a Data confirm is invoked
- * \param params MCPS data confirm parameters
+ * @param params MCPS data confirm parameters
  */
 static void
 DataConfirm(McpsDataConfirmParams params)
@@ -51,10 +51,10 @@
 
 /**
  * Function called when a the PHY state changes
- * \param context context
- * \param now time at which the function is called
- * \param oldState old PHY state
- * \param newState new PHY state
+ * @param context context
+ * @param now time at which the function is called
+ * @param oldState old PHY state
+ * @param newState new PHY state
  */
 static void
 StateChangeNotification(std::string context,
@@ -196,7 +196,7 @@
     params.m_txOptions = TX_OPTION_ACK;
     //  dev0->GetMac ()->McpsDataRequest (params, p0);
     Simulator::ScheduleWithContext(1,
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LrWpanMac::McpsDataRequest,
                                    dev0->GetMac(),
                                    params,
@@ -213,7 +213,7 @@
         params.m_dstExtAddr = Mac64Address("00:00:00:00:00:00:00:01");
     }
     Simulator::ScheduleWithContext(2,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::McpsDataRequest,
                                    dev1->GetMac(),
                                    params,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-ed-scan.cc ns-3.44/src/lr-wpan/examples/lr-wpan-ed-scan.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-ed-scan.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-ed-scan.cc	2025-03-09 16:55:49.419371100 -0700
@@ -28,15 +28,15 @@
  * ED range: 0 - 255
  */
 
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iostream>
 
@@ -122,7 +122,7 @@
     params.m_sfrmOrd = 3;
     params.m_logCh = 12;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    dev0->GetMac(),
                                    params);
@@ -135,7 +135,7 @@
     params2.m_sfrmOrd = 3;
     params2.m_logCh = 14;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    dev2->GetMac(),
                                    params2);
@@ -152,7 +152,7 @@
     scanParams.m_scanDuration = 14;
     scanParams.m_scanType = MLMESCAN_ED;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeScanRequest,
                                    dev1->GetMac(),
                                    scanParams);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-error-distance-plot.cc ns-3.44/src/lr-wpan/examples/lr-wpan-error-distance-plot.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-error-distance-plot.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-error-distance-plot.cc	2025-03-09 16:55:49.419371100 -0700
@@ -25,28 +25,28 @@
    ./ns3 run "lr-wpan-error-distance-plot --txPower= 0 --rxSensitivity=-92"
 
 */
-#include <ns3/abort.h>
-#include <ns3/callback.h>
-#include <ns3/command-line.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/gnuplot.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-error-model.h>
-#include <ns3/lr-wpan-mac.h>
-#include <ns3/lr-wpan-net-device.h>
-#include <ns3/lr-wpan-spectrum-value-helper.h>
-#include <ns3/mac16-address.h>
-#include <ns3/multi-model-spectrum-channel.h>
-#include <ns3/net-device.h>
-#include <ns3/node.h>
-#include <ns3/nstime.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
-#include <ns3/spectrum-value.h>
-#include <ns3/test.h>
-#include <ns3/uinteger.h>
+#include "ns3/abort.h"
+#include "ns3/callback.h"
+#include "ns3/command-line.h"
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/gnuplot.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-error-model.h"
+#include "ns3/lr-wpan-mac.h"
+#include "ns3/lr-wpan-net-device.h"
+#include "ns3/lr-wpan-spectrum-value-helper.h"
+#include "ns3/mac16-address.h"
+#include "ns3/multi-model-spectrum-channel.h"
+#include "ns3/net-device.h"
+#include "ns3/node.h"
+#include "ns3/nstime.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
+#include "ns3/spectrum-value.h"
+#include "ns3/test.h"
+#include "ns3/uinteger.h"
 
 #include <fstream>
 #include <iostream>
@@ -62,8 +62,8 @@
 
 /**
  * Function called when a Data indication is invoked
- * \param params MCPS data indication parameters
- * \param p packet
+ * @param params MCPS data indication parameters
+ * @param p packet
  */
 void
 LrWpanErrorDistanceCallback(McpsDataIndicationParams params, Ptr<Packet> p)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-error-model-plot.cc ns-3.44/src/lr-wpan/examples/lr-wpan-error-model-plot.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-error-model-plot.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-error-model-plot.cc	2025-03-09 16:55:49.419371100 -0700
@@ -5,15 +5,15 @@
  *
  * Author: Gary Pei <guangyu.pei@boeing.com>
  */
-#include <ns3/abort.h>
-#include <ns3/command-line.h>
-#include <ns3/gnuplot.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-error-model.h>
-#include <ns3/nstime.h>
-#include <ns3/packet.h>
-#include <ns3/simulator.h>
-#include <ns3/uinteger.h>
+#include "ns3/abort.h"
+#include "ns3/command-line.h"
+#include "ns3/gnuplot.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-error-model.h"
+#include "ns3/nstime.h"
+#include "ns3/packet.h"
+#include "ns3/simulator.h"
+#include "ns3/uinteger.h"
 
 #include <fstream>
 #include <iostream>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-mlme.cc ns-3.44/src/lr-wpan/examples/lr-wpan-mlme.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-mlme.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-mlme.cc	2025-03-09 16:55:49.419371100 -0700
@@ -21,15 +21,15 @@
  *
  */
 
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iostream>
 
@@ -152,7 +152,7 @@
     params.m_bcnOrd = 14;
     params.m_sfrmOrd = 6;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    dev0->GetMac(),
                                    params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-orphan-scan.cc ns-3.44/src/lr-wpan/examples/lr-wpan-orphan-scan.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-orphan-scan.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-orphan-scan.cc	2025-03-09 16:55:49.419371100 -0700
@@ -40,15 +40,15 @@
  * 6) Scanning of the remaining channels 13 and 14 is cancelled.
  */
 
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iostream>
 
@@ -173,7 +173,7 @@
     params.m_sfrmOrd = 15;
     params.m_logCh = 12;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &LrWpanMac::MlmeStartRequest,
                                    coord1NetDevice->GetMac(),
                                    params);
@@ -192,7 +192,7 @@
     scanParams.m_scanChannels = 0x7800;
     scanParams.m_scanType = MLMESCAN_ORPHAN;
     Simulator::ScheduleWithContext(1,
-                                   Seconds(3.0),
+                                   Seconds(3),
                                    &LrWpanMac::MlmeScanRequest,
                                    endNodeNetDevice->GetMac(),
                                    scanParams);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-packet-print.cc ns-3.44/src/lr-wpan/examples/lr-wpan-packet-print.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-packet-print.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-packet-print.cc	2025-03-09 16:55:49.419371100 -0700
@@ -5,8 +5,8 @@
  *
  * Author:  Tom Henderson <thomas.r.henderson@boeing.com>
  */
-#include <ns3/core-module.h>
-#include <ns3/lr-wpan-module.h>
+#include "ns3/core-module.h"
+#include "ns3/lr-wpan-module.h"
 
 #include <iostream>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-per-plot.cc ns-3.44/src/lr-wpan/examples/lr-wpan-per-plot.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-per-plot.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-per-plot.cc	2025-03-09 16:55:49.419371100 -0700
@@ -23,13 +23,13 @@
 
 */
 
-#include <ns3/core-module.h>
-#include <ns3/gnuplot.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/mobility-module.h>
-#include <ns3/network-module.h>
-#include <ns3/propagation-module.h>
-#include <ns3/spectrum-module.h>
+#include "ns3/core-module.h"
+#include "ns3/gnuplot.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
+#include "ns3/propagation-module.h"
+#include "ns3/spectrum-module.h"
 
 using namespace ns3;
 using namespace ns3::lrwpan;
@@ -40,8 +40,8 @@
 
 /**
  * Function called when a Data indication is invoked
- * \param params MCPS data indication parameters
- * \param p packet
+ * @param params MCPS data indication parameters
+ * @param p packet
  */
 void
 PacketReceivedCallback(McpsDataIndicationParams params, Ptr<Packet> p)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/examples/lr-wpan-phy-test.cc ns-3.44/src/lr-wpan/examples/lr-wpan-phy-test.cc
--- ns-3.43/src/lr-wpan/examples/lr-wpan-phy-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/examples/lr-wpan-phy-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -5,22 +5,22 @@
  *
  * Author: Gary Pei <guangyu.pei@boeing.com>
  */
-#include <ns3/command-line.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-mac.h>
-#include <ns3/lr-wpan-phy.h>
-#include <ns3/packet.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
-#include <ns3/test.h>
+#include "ns3/command-line.h"
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-mac.h"
+#include "ns3/lr-wpan-phy.h"
+#include "ns3/packet.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 using namespace ns3::lrwpan;
 
 /**
  * Function called when a the PHY state change is confirmed
- * \param status PHY state
+ * @param status PHY state
  */
 void
 GetSetTRXStateConfirm(PhyEnumeration status)
@@ -30,9 +30,9 @@
 
 /**
  * Function called when a the PHY receives a packet
- * \param psduLength PSDU length
- * \param p packet
- * \param lqi link quality indication
+ * @param psduLength PSDU length
+ * @param p packet
+ * @param lqi link quality indication
  */
 void
 ReceivePdDataIndication(uint32_t psduLength, Ptr<Packet> p, uint8_t lqi)
@@ -43,8 +43,8 @@
 
 /**
  * Send one packet
- * \param sender sender PHY
- * \param receiver receiver PHY
+ * @param sender sender PHY
+ * @param receiver receiver PHY
  */
 void
 SendOnePacket(Ptr<LrWpanPhy> sender, Ptr<LrWpanPhy> receiver)
@@ -89,9 +89,9 @@
 
     receiver->SetPdDataIndicationCallback(MakeCallback(&ReceivePdDataIndication));
 
-    Simulator::Schedule(Seconds(1.0), &SendOnePacket, sender, receiver);
+    Simulator::Schedule(Seconds(1), &SendOnePacket, sender, receiver);
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
 
     Simulator::Run();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/helper/lr-wpan-helper.cc ns-3.44/src/lr-wpan/helper/lr-wpan-helper.cc
--- ns-3.43/src/lr-wpan/helper/lr-wpan-helper.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/helper/lr-wpan-helper.cc	2025-03-09 16:55:49.419371100 -0700
@@ -9,14 +9,14 @@
  */
 #include "lr-wpan-helper.h"
 
+#include "ns3/log.h"
+#include "ns3/lr-wpan-csmaca.h"
+#include "ns3/lr-wpan-error-model.h"
+#include "ns3/lr-wpan-net-device.h"
+#include "ns3/mobility-model.h"
+#include "ns3/multi-model-spectrum-channel.h"
 #include "ns3/names.h"
-#include <ns3/log.h>
-#include <ns3/lr-wpan-csmaca.h>
-#include <ns3/lr-wpan-error-model.h>
-#include <ns3/lr-wpan-net-device.h>
-#include <ns3/mobility-model.h>
-#include <ns3/multi-model-spectrum-channel.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/single-model-spectrum-channel.h"
 
 namespace ns3
 {
